[138a:0001] fingerprint reader not recognized

Bug #285089 reported by Mbarak A. Bujra
306
This bug affects 50 people
Affects Status Importance Assigned to Milestone
libfprint (Ubuntu)
Medium
Unassigned
Declined for Karmic by Brad Figg
Nominated for Lucid by ajos
linux (Ubuntu)
Medium
Unassigned
Declined for Karmic by Brad Figg
Nominated for Lucid by ajos

Bug Description

usb id 138A:0001 is a DigitalPersona fingerprint reader which doesn't get recognized by Ubuntu

Update: Support for 138a:0001 has been added to libfprint in version 1:0.3.0+git20110408. Ubuntu packages are available from this PPA:
https://launchpad.net/~fingerprint/+archive/fprint

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

you are right, the file is /var/lib/misc/usb.ids and it's maintained by http://www.linux-usb.org/

i am emailing the maintainer as we speak, then we'll have to make ubuntu get the latest file from there...

Revision history for this message
Mbarak A. Bujra (mbarak) wrote :

thank you very much :)
looking forward to using my fingerprint reader in Linux :p

1 comments hidden view all 135 comments
Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

clarification: adding your device to usb.ids will not make it work. it will simply make it appear correctly in lsub etc... to make it work you need the actual driver...

Revision history for this message
Mbarak A. Bujra (mbarak) wrote :

I'm well aware of that. I think the driver itself is already in Ubuntu (at least...I think)
I believe it's called uru or something like that?
either way now that Ubuntu actually recognizes the fingerprint reader it should be able to tell the driver which usb device to use right?

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

the driver used to be dpfp (http://dpfp.berlios.de/), obsoleted by fprint (http://www.reactivated.net/fprint/wiki/Main_Page) and uru4000

Revision history for this message
kolslorr (kolslorr) wrote :

I can confirm this bug.

HP DV3000 series, with Fingerprint reader running on DigitaPersona engine (in vista).

Ubuntu Intrepid Ibex

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

i have emailed Stephen J. Gowdy <email address hidden> on 20.10.2008 about this. never got a response.

the latest ubs.ids (http://www.linux-usb.org/usb.ids) is v1.371, released 2008/09/21, so a month before my email. I'm scanning it daily for updates, let's hope 138A:0001 will be included in the next release.

In the meantime, can you tell me if the fingerprint reader works with fprint + uru4000 ? this should be irrelevant of the usb.ids file...

Revision history for this message
Mbarak A. Bujra (mbarak) wrote : Re: [Bug 285089] Re: usb id 138A:0001 is a DigitalPersona fingerprint reader which doesn't get recognized by Ubuntu

I talked to someone on the fprint mailing list and apparently this isn't a
DigitalPersona fingerprint reader, its "Validity" but they use
digitalpersona software
i've sent them logs from vista so they can start working on it but
here is the relevant wiki page about it:
http://www.reactivated.net/fprint/wiki/Unsupported_devices#Validity_VFS101

about the usb:id - i think this process may have been started
here's a link to the usb:id site from the fprint wiki:
http://www.qbik.ch/usb/devices/showdev.php?id=4476

On Wed, Nov 19, 2008 at 8:19 AM, Dimitrios Symeonidis <email address hidden>wrote:

> i have emailed Stephen J. Gowdy <<email address hidden><sgowdy%<email address hidden>>>
> on 20.10.2008
> about this. never got a response.
>
> the latest ubs.ids (http://www.linux-usb.org/usb.ids) is v1.371,
> released 2008/09/21, so a month before my email. I'm scanning it daily
> for updates, let's hope 138A:0001 will be included in the next release.
>
> In the meantime, can you tell me if the fingerprint reader works with
> fprint + uru4000 ? this should be irrelevant of the usb.ids file...
>
> --
> usb id 138A:0001 is a DigitalPersona fingerprint reader which doesn't get
> recognized by Ubuntu
> https://bugs.launchpad.net/bugs/285089
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in linux:
importance: Undecided → Low
assignee: azimout → nobody
Revision history for this message
cdir (carlos-insunza) wrote : Re: usb id 138A:0001 is a DigitalPersona fingerprint reader which doesn't get recognized by Ubuntu

i can confirm the bug ... the reader doesn't work under ubuntu and the usb id is still unkonwn to the system.

how can i help with this?

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

the usb id should be fixed soon, got a response 3 days ago from the package maintainer that my patch was accepted, however the new version is not yet on the site (latest: $Id: usb.ids,v 1.374 2009/01/10 08:11:02 gowdy Exp $)

when it's there, you can run "sudo update-usbids" and you'll get the new version...

however, that does obviously not fix the driver problem...

Revision history for this message
cdir (carlos-insunza) wrote :

thanks for your answer Dimitrios ... and about the driver problem ... is there any workaround? is there any wau to help on this?

Revision history for this message
cdir (carlos-insunza) wrote :

i updated usbids ... and the the usbid is know recognized ... but as

Bus 001 Device 003: ID 138a:0001 DigitalPersona, Inc Fingeprint Reader

so .. it seems, the indication about Validity Fingerprint Reader wasn't correctly recongized .. unless there is a driver develped under that name that know works whith this hardware?

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

cdir, have you tried installing libfprint0 ?

description: updated
Changed in linux:
assignee: nobody → azimout
Revision history for this message
cdir (carlos-insunza) wrote : Re: usb id 138A:0001 fingerprint reader

the libprint0 is installed in my system, with fprint-demo and libpam-fprint ... the only related package i can find in synaptic and is not installed is libprintf-dev ...

do you know if whith usbids change i should uninstall and reinstall it?

in other case, just like the fprint wiki says the device is still unsuported.

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

ok, thank you... and no, you don't need to re-install anything

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

re-assigning to the libfprint package...

Revision history for this message
cdir (carlos-insunza) wrote :

now the bug has been reassigned ... is there any way to help?

is the usbids going to be fixed? or was the name assignement a choice made that way for any technical reason?

Revision history for this message
candido (candidornotar) wrote :

I can confirm this bug.

HP DV5 series, with Fingerprint reader running on DigitaPersona engine (in vista).

Ubuntu jaunty

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

Currently lsusb should identify the device as DigitalPersona Fingerprint reader, which is incorrect. I have submitted a new patch to the usb.ids maintainer, with the correct name (Validity VFS101)...

AFAIK there's no progress on the driver yet...

Revision history for this message
edi-design (andre15) wrote :

is there some progress?
it's annoying to have an fingerprint reader, but can't use it ;)

need help or support any way, just ask.
i have a hp dv3650eg with this reader built-in

Revision history for this message
sultanmrm (kdprincekd) wrote :

any fix for this bug ?

Revision history for this message
Mbarak A. Bujra (mbarak) wrote :

The device is in the developer's queue:
http://reactivated.net/fprint/wiki/Unsupported_devices#Daniel.27s_reverse_engineering_queue

Track progress with the link above

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Revision history for this message
Nico (nicolas-ord) wrote :

Up!
I've the some problem on my HP Pavillion dv3650ez.
lsusb:
Bus 003 Device 002: ID 138a:0001 DigitalPersona, Inc Fingerprint Reader
Does anyone can fix the problem ? or can I do something to help to fix this problem ?
I really want to operate this fingerprint ! Thanks for your help !

Revision history for this message
leprecon (moysis-spyridon-deactivatedaccount) wrote :

I have the same problem on my HP HDX16-1050EV.Ubuntu 9.10 (64bit)
lsusb: Bus 006 Device 002: ID 138a:0001 DigitalPersona, Inc Fingeprint Reader.

## In Windows7 the hardware called ''VFS201 Fingerprint Sensor'' of Validity Sensors, Inc and uses ## the HP driver "sp41660" in cooperation with "Digital Persona Fingerprint Reader Software" ## sp43883) and working fine.

I tried the groups "fprint-demo, libpam-fprint, libprint0" and "thinkfinger-tools, libthinkfinger0" and it doesn't work. When I open fprint-demo I have the indication "no devise found"
and with: sudo tf-tool --acquire

ThinkFinger 0.3 (http://thinkfinger.sourceforge.net/)
Copyright (C) 2006, 2007 Timo Hoenig <email address hidden>

Initializing...USB device not found.

I need help to operate this fingerprint.

PS. Κύριε Συμεωνίδη καλησπέρα.

Revision history for this message
Dimitrios Symeonidis (azimout) wrote :

Καλησπέρα κε Μούση

Revision history for this message
Darius Kulikauskas (dkulikauskas) wrote :

I can confirm this bug on HP dv5-1050en laptop. Also, I was not able to make the fingerprint device operate with any software available to my knowledge.

Revision history for this message
Darius Kulikauskas (dkulikauskas) wrote :

BTW, I'm running Ubuntu 9.10 (64-bit).

Revision history for this message
edi-design (andre15) wrote :

guys, just read a few comments above.
the driver was in developement-queue
http://reactivated.net/fprint/wiki/Unsupported_devices#Validity_VFS101
but unfortunatly there is no active developement on any driver :(

find a developer and it will go on, otherweise there's no chance to get it working

Revision history for this message
Nick Bagios (nickbagi) wrote :

I can confirm on DV5 1299ev (Kubuntu 9.10 32). I hope a developer take a look of this.

Revision history for this message
Philip Gasser (gasserp) wrote :

same on a hp hdx16 1280ez
tryd out couple of things, but no drivers able to communicate with fp reader.

Revision history for this message
Aleksandar Sutic (asutic) wrote :

For Ubuntu 9.10 (i386) on HP Pavilion dv6 1350ex, I can confirm the same issue.

> lsusb | grep Fingeprint
Bus 006 Device 002: ID 138a:0001 DigitalPersona, Inc Fingeprint Reader

In case a driver developer needs hardware for testing, I can offer my new laptop.

Revision history for this message
Mbarak A. Bujra (mbarak) wrote : Re: [Bug 285089] Re: usb id 138A:0001 fingerprint reader

you should contact the fprint developers if you want to offer your laptop
there are details about hardware donations on this page:
http://www.reactivated.net/fprint/wiki/Donations

this is the wiki section about this hardware device:
http://www.reactivated.net/fprint/wiki/Unsupported_devices#Validity_VFS101

On Sun, Jan 3, 2010 at 10:58 AM, Aleksandar Sutic <email address hidden> wrote:

> For Ubuntu 9.10 (i386) on HP Pavilion dv6 1350ex, I can confirm the same
> issue.
>
> > lsusb | grep Fingeprint
> Bus 006 Device 002: ID 138a:0001 DigitalPersona, Inc Fingeprint Reader
>
> In case a driver developer needs hardware for testing, I can offer my
> new laptop.
>
> --
> usb id 138A:0001 fingerprint reader
> https://bugs.launchpad.net/bugs/285089
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Srikanth Raju (srikiraju) wrote : Re: usb id 138A:0001 fingerprint reader

Confirmed on HP DV6 2005ax running Karmic 9.10 64-bit.

Revision history for this message
Martin Kaufmann (martin.kaufmann) wrote :

Confirmed on HP DV8 1050eg runnig Karmic 32 Bit.

Revision history for this message
zaomaster (zaomaster) wrote :

Confirmed on HP HDX16t running Lucid 64bit

Revision history for this message
Lucas Mauricio Castro e Martins (lucasmauricio) wrote :

Guys, it happens to me too

-running Lucid 64bits
-HP Pavilion dv4-2115br
-lsusb: Bus 005 Device 003: ID 138a:0001 DigitalPersona, Inc Fingeprint Reader
-packages: fprint-demo, libpam-fprint, libprint0, thinkfinger-tools, libthinkfinger0.
-apps (fprint-demo, tf-tool) says "no devise found".

Any idea?

Revision history for this message
Riccardo Setti (giskard) wrote :

Confirmed on HP DV3 2020el running Ubuntu 10.04 Lucid Lynx

description: updated
Revision history for this message
Ivo Verlaek (ivo-verlaek) wrote :

Also Confirmed on ACER Aspire 8930 running Ubuntu 10.04 Lucid Lynx

Revision history for this message
Brando753 (brando753) wrote :

Can confirm bug on HP DV5-1000

shellclear (shellclear)
description: updated
description: updated
description: updated
description: updated
Changed in libfprint (Ubuntu):
assignee: Dimitrios Symeonidis (azimout) → nobody
summary: - usb id 138A:0001 fingerprint reader
+ [138A:0001] fingerprint reader not recognized
Changed in libfprint (Ubuntu):
importance: Low → Wishlist
importance: Wishlist → Medium
Javier Domingo (txomon)
Changed in linux (Ubuntu):
status: Triaged → Confirmed
55 comments hidden view all 135 comments
Revision history for this message
Tiago (ti4go3ngel) wrote :

Hi all

I get this error when i try to add this patch

$ patch -p1 < Path/libfprint-0.3.0-vfs101.patch
patching file libfprint/drivers/vfs101.c
patching file libfprint/fp_internal.h
Hunk #1 FAILED at 265.
1 out of 1 hunk FAILED -- saving rejects to file libfprint/fp_internal.h.rej
patching file libfprint/core.c
Hunk #1 FAILED at 368.
1 out of 1 hunk FAILED -- saving rejects to file libfprint/core.c.rej
patching file libfprint/poll.c
Hunk #1 FAILED at 270.
1 out of 1 hunk FAILED -- saving rejects to file libfprint/poll.c.rej
patching file libfprint/gdkpixbuf.c
Hunk #1 FAILED at 75.
1 out of 1 hunk FAILED -- saving rejects to file libfprint/gdkpixbuf.c.rej
patching file libfprint/Makefile.am
Hunk #1 FAILED at 12.
Hunk #2 FAILED at 24.
Hunk #3 FAILED at 122.
3 out of 3 hunks FAILED -- saving rejects to file libfprint/Makefile.am.rej
patching file configure.ac
Hunk #1 FAILED at 20.
Hunk #2 FAILED at 34.
Hunk #3 FAILED at 88.
Hunk #4 FAILED at 102.
Hunk #5 FAILED at 263.
5 out of 5 hunks FAILED -- saving rejects to file configure.ac.rej

Anyone help me?

Revision history for this message
Tiago (ti4go3ngel) wrote :

don't work for me

I patched and installed, but the fprint_demo don't recognize my device

need to remove libfprint0 and libpan-fprint before installing? or keep them installed?

Revision history for this message
Lorenzo (mad-dog) wrote :

you need to re-install fprint_demo & libpam-fprint and remember to launch fprint_demo with superuser permission, and check if the new libfprint (patched) is installed in the correct directory...

Revision history for this message
Darius Kulikauskas (dkulikauskas) wrote :

Will this patch be officially available in the repositories?

Revision history for this message
Javier Domingo (txomon) wrote :

Someone could create a ppa and post it here... it would be nice to create a debian package...

Revision history for this message
Javier Jofre (jovier) wrote :

My problem is with 'make'. I don't know why I can't link the libraries well. I think there are no libraries missing.
I don't know what else to do. Here is the error message.

    javier@javier:~/Descargas/libfprint-0.3.0$>make
    make all-recursive
    make[1]: se ingresa al directorio «/home/javier/Descargas/libfprint-0.3.0»
    Making all in libfprint
    make[2]: se ingresa al directorio «/home/javier/Descargas/libfprint-0.3.0/libfprint»
    /bin/bash ../libtool --tag=CC --mode=link gcc -fvisibility=hidden -I./nbis/include -I/usr/include/libusb-1.0 -I/usr/include/glib- 2.0 -I/usr/lib/glib-2.0/include -I/usr/include/nss -I/usr/include/nspr -std=gnu99 -fgnu89-inline -Wall -Wundef -Wunused - Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign -Wshadow -g -O2 -o fprint-list-udev-rules fprint_list_udev_rules-fprint-list-udev-rules.o ./libfprint.la
    libtool: link: gcc -fvisibility=hidden -I./nbis/include -I/usr/include/libusb-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I /usr/include/nss -I/usr/include/nspr -std=gnu99 -fgnu89-inline -Wall -Wundef -Wunused -Wstrict-prototypes -Werror-implicit- function-declaration -Wno-pointer-sign -Wshadow -g -O2 -o .libs/fprint-list-udev-rules fprint_list_udev_rules-fprint-list-udev- rules.o ./.libs/libfprint.so -lm /usr/lib/libusb-1.0.so -lrt /usr/lib/libglib-2.0.so -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl -pthread
    ./.libs/libfprint.so: undefined reference to `g_object_unref'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_get_rowstride'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_get_pixels'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_new'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_scale_simple'
    ./.libs/libfprint.so: undefined reference to `g_type_init'
    collect2: ld returned 1 exit status
    make[2]: *** [fprint-list-udev-rules] Error 1
    make[2]: se sale del directorio «/home/javier/Descargas/libfprint-0.3.0/libfprint»
    make[1]: *** [all-recursive] Error 1
    make[1]: se sale del directorio «/home/javier/Descargas/libfprint-0.3.0»
    make: *** [all] Error 2

Plese help me finding the error.
Thanks

Revision history for this message
Lorenzo (mad-dog) wrote :

 @Javier Jofre
As I wrote above try to install libgdk-pixbuf2.0-dev or something lib and pixbuf...
----
    ./.libs/libfprint.so: undefined reference to `g_object_unref'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_get_rowstride'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_get_pixels'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_new'
    ./.libs/libfprint.so: undefined reference to `gdk_pixbuf_scale_simple'
    ./.libs/libfprint.so: undefined reference to `g_type_init'
----
the make say: hey I want to use gdk_pixbuf but i can't please install the dev packages ^^
search for it in repos I've installed (on Ubuntu 10.10) this package libgdk-pixbuf2.0-dev and it works! (or I've copy-paste the wrong package name?)

Revision history for this message
Javier Jofre (jovier) wrote :

I did that but the error is the same, I have that library installed and it doesn't work.
I'm loosing the faith....

Revision history for this message
Tiago (ti4go3ngel) wrote :

I do this

$ automake && ./configure --prefix=/usr && make
$ sudo make install
    ----------------------------------------------------------------------
    Libraries have been installed in:
       /usr/lib

$ ls /usr/lib/ | grep "libfprint"
    libfprint.a
    libfprint.la
    libfprint.so
    libfprint.so.0
    libfprint.so.0.0.0

$ ls /usr/lib64/ | grep "libfprint"
    libfprint.a
    libfprint.la
    libfprint.so
    libfprint.so.0
    libfprint.so.0.0.0

so when i try to install fprint_demo or libpam_fprint i get this error:

$ sudo dpkg -i /var/cache/apt/archives/fprint-demo_20080303git-5ubuntu1_amd64.deb
    -----
    dpkg: dependency problems prevent configuration of fprint-demo:
    fprint-demo depends on libfprint0; however:
       Package libfprint0 is not installed.
    dpkg: error processing fprint-demo (--install):
   dependency problems - leaving unconfigured
   ----
   Errors were encountered while processing:
      fprint-demo

i doing something wrong?

I using the packages of apt-get for fprint_demo and libpam, it is a problem?

Sorry for my bad english

Revision history for this message
lunaticare (lunaticare) wrote :

Tiago, dpkg knows nothing about you've installed libfprint, so you need to force package installation without resolving dependencies. Do not forget 'sudo ldconfig /usr/local/lib' before running fprint_demo.

Revision history for this message
fabrixx (fabrixx) wrote :

Great! Long time i watch this bug and now there is a valid patch.
I' have Debian wheezy amd64

I've patched indicated source, make a .deb and installed with checkinstall patched libfrint install libfprint-demo from sid debian packages.

I also reboot but when open fprint-demo i see a little window with Opening Device..

ValidyVFS101 appear at bottom.

I have Hp Dv51170.

I have to use another fprint-demo package ? (example ubuntu launchpad version ? )

Thanks & excuse me for my bad english.

Revision history for this message
fabrixx (fabrixx) wrote :

It Works!!
I have to launch fprint-demo from root

Revision history for this message
Andy Whitcroft (apw) wrote :

As this seem to be being fixed by a libfprint change, I assume there are no longer any kernel changes needed. If so we can close out the linux tasks.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Darius Kulikauskas (dkulikauskas) wrote :

Will the patch be submitted upstream?

Revision history for this message
Kostas Stam (stamfil) wrote :

Hi all.
I have a HP Pavillion dv7-4012eg. It has a "Bus 002 Device 003: ID 138a:0005 Validity Sensors, Inc. VFS301 Fingerprint Reader".
Can anyone please tell me if there is a way to get this reader run on Maverick or Natty?
I allready tried the above mentioned methods but nothing worked.
Thank you all in advance.

Revision history for this message
Javier Domingo (txomon) wrote : Re: [Bug 285089] Re: [138A:0001] fingerprint reader not recognized

Try changing in the patch the device id to yours.

Good luck,

Javier domingo
El 27/03/2011 13:26, "Kostas Stam" <email address hidden> escribió:
> Hi all.
> I have a HP Pavillion dv7-4012eg. It has a "Bus 002 Device 003: ID
138a:0005 Validity Sensors, Inc. VFS301 Fingerprint Reader".
> Can anyone please tell me if there is a way to get this reader run on
Maverick or Natty?
> I allready tried the above mentioned methods but nothing worked.
> Thank you all in advance.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/285089
>
> Title:
> [138A:0001] fingerprint reader not recognized
>
> Status in “libfprint” package in Ubuntu:
> Confirmed
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> usb id 138A:0001 is a DigitalPersona fingerprint reader which doesn't get
recognized by Ubuntu
> I think (although I'm not sure) all that's needed is to add this specific
USB ID to a relevant list?
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/libfprint/+bug/285089/+subscribe

Revision history for this message
carlosv (cvedovatti) wrote :

Hi I have the same problem like Kostas #110

Ihave a HP touchsmart tm2 and my VFS301 is Bus 001 Device 004: ID 138a:0005 DigitalPersona, Inc .

Si I tried the suggestion of txomon, changed the line in the patch:
+ { .vendor = 0x138a, .product = 0x0001 },
to:
+ { .vendor = 0x138a, .product = 0x0005 },
I was recognized by the fprint_demo, but didn't work. I didn't recognized my fingerprints. Should I change anything else from the patch?
Any suggestions?

Revision history for this message
Kostas Stam (stamfil) wrote :

Hi, thx for the tip Javier.
But I have the same result like Carlos.

Any other idea perhaps?

thx again.

Revision history for this message
Javier Domingo (txomon) wrote :

Well in this tipes of situations, each device must have its proper bug, so I
would create a new bug, in that way, new attention will be required.
Be carefull not to generate duplicate bugs, organize yourself, one creates
others subscribe!

I may do the same with the VFS451, any volunteer?
El 28/03/2011 06:15, "Kostas Stam" <email address hidden> escribió:

Revision history for this message
Sergio Cerlesi (sergio-cerlesi) wrote :

Hi all,

attached latest version of the patch that fix the issue reported to me.

The changes are important and needs to be re-tested for avoid
regressions.

I ask to anybody test the patch if can send me the feedback (positive or
negative).

Bye
Sergio

Revision history for this message
Kostas Stam (stamfil) wrote :

Hi sergio,
I just tried your patch but it doesn't recognize my reader.
I applied ofcourse what Javier #111 suggested.
Any ideas?

Revision history for this message
carlosv (cvedovatti) wrote :

Hi,
I just created a new Bug #744310 for the Validity fingerprint reader VFS301. It affects the HP touchsmart tm2 in Ubuntu 10.10 libfprint 0.3.0. So far it affects HP Pavillion dv7-4012eg and Dell Vostro 3500 too
Cheers

Revision history for this message
Lorenzo (mad-dog) wrote :

@Sergio

after

patch -p1 < .../libfprint-0.3.0-vfs101.v5.patch
automake && ./configure --prefix=/usr && make
sudo make install

it works!
but what you have changed? (only for curiosity ^^ )

Revision history for this message
Stjepan Brbot (stjepan-brbot) wrote :

I do have Validity Inc. fingerprint reader VFS451 (id=138a:0007) and use Ubuntu 10.10 64-bit.

I installed all dependencies required for compilation (libusb-1.0.0-dev, libnss3-dev,...)

I downloaded: http://people.freedesktop.org/~hadess/libfprint-0.3.0.tar.bz2 and uncompressed it
I donwloaded both patches

inside dir where previous tar file was uncompressed I applied the first patch:
$ patch -p1 < ../libfprint-0.3.0-vfs101.patch

and applied second patch:
$ patch -p1 < ../libfprint-0.3.0-vfs101.v5.patch

afterwards I started configuration and compilation:
$ autoreconf && ./configure && make

compilation finished fine and I started install
$ sudo make install

installation installed libraries and I manually copied all libraries into 64 arch lib dir:
$ sudo cp /usl/lib/libfprint.* /usr/lib64/

I started:
$ sudo fprint_demo

NOTHING!!! IT DOES NOT WORK

Revision history for this message
Javier Domingo (txomon) wrote :

We actually know, please report a new bug, and post the bug id here to
people subscribe.

I am interested on it

Javier domingo
El 28/03/2011 21:22, "Stjepan Brbot" <email address hidden> escribió:
> I do have Validity Inc. fingerprint reader VFS451 (id=138a:0007) and use
> Ubuntu 10.10 64-bit.
>
> I installed all dependencies required for compilation (libusb-1.0.0-dev,
> libnss3-dev,...)
>
> I downloaded:
http://people.freedesktop.org/~hadess/libfprint-0.3.0.tar.bz2 and
uncompressed it
> I donwloaded both patches
>
> inside dir where previous tar file was uncompressed I applied the first
patch:
> $ patch -p1 < ../libfprint-0.3.0-vfs101.patch
>
> and applied second patch:
> $ patch -p1 < ../libfprint-0.3.0-vfs101.v5.patch
>
> afterwards I started configuration and compilation:
> $ autoreconf && ./configure && make
>
> compilation finished fine and I started install
> $ sudo make install
>
> installation installed libraries and I manually copied all libraries into
64 arch lib dir:
> $ sudo cp /usl/lib/libfprint.* /usr/lib64/
>
> I started:
> $ sudo fprint_demo
>
> NOTHING!!! IT DOES NOT WORK
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/285089
>
> Title:
> [138A:0001] fingerprint reader not recognized
>
> Status in “libfprint” package in Ubuntu:
> Confirmed
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> usb id 138A:0001 is a DigitalPersona fingerprint reader which doesn't get
recognized by Ubuntu
> I think (although I'm not sure) all that's needed is to add this specific
USB ID to a relevant list?
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/libfprint/+bug/285089/+subscribe

Revision history for this message
Sergio Cerlesi (sergio-cerlesi) wrote :

@Lorenzo

the change are many, you can view the difference from the two patch.

The most important is the introduction of contrast autocalibrate like as done from windows drivers.

Revision history for this message
Stjepan Brbot (stjepan-brbot) wrote :

OK txomon, as you suggested I created new bug report for vfs451 and here it is:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/745505

Revision history for this message
Sandra H. Bruel (sandra-h-bruel) wrote :

@Sergio Cerlesi
Thanks for you hard works!!

I'm working under $ uname -a
Linux Oreste 2.6.37-ARCH #1 SMP PREEMPT Fri Mar 25 15:10:00 CET 2011 x86_64 Intel(R) Core(TM)2 Duo CPU T9300 @ 2.50GHz GenuineIntel GNU/Linux
with kde-config -v
Qt: 3.3.8
KDE: 3.5.10
kde-config: 1.0

I have lsusb | grep Fingeprint
Bus 004 Device 002: ID 138a:0001 Validity Sensors, Inc. VFS101 Fingeprint Reader
(My computer is a Acer Aspire 8920G)

All dependencies required for compilation have been installed.
I downloaded: http://people.freedesktop.org/~hadess/libfprint-0.3.0.tar.bz2 and uncompressed it
I donwloaded only the second patches libfprint-0.3.0-vfs101.v5.patch

inside dir where previous tar file was uncompressed I applied the first patch:
$ patch -p1 < ../libfprint-0.3.0-vfs101.v5.patch

afterward I do everything in order
$ autoreconf && ./configure && make
$ sudo make install
$ sudo cp /usr/local/lib/libfprint.* /usr/lib64/
$ sudo cp /usr/local/lib/libfprint.* /usr/lib/

Finally I've done
$ kdesu fprint_demo

Perfect it show my finger!!
For the first time since I switch to Linux I can work with my fingersensor.
BUT
yes there's a but.
If I close fprint_demo and relaunch it it show me : Status : No Device found.
If I restart my computer : First Launch = device detected, second launch = device not detected.
Version installed: fprint_demo 0.4-2 | libfprint 0.0.6-8 | pam_fprint 0.2-2

I don't know if this problem is due to fprint, drivers or anything else...

Thanks for your help.

Revision history for this message
Nick Bagios (nickbagi) wrote :

@Sergio many thanks from me too. Yes it's working
My machine is HP dv5 1299ev with fingerprint Validity Sensors, Inc. VFS101
working with Mint "julia" 2.6.35-28-generic i686 GNU/Linux

first I update the usb ids with
# sudo update-usbids

# lsusb | grep Fingeprint
Bus 006 Device 002: ID 138a:0001 Validity Sensors, Inc. VFS101 Fingeprint Reader

I downloaded: http://people.freedesktop.org/~hadess/libfprint-0.3.0.tar.bz2 I uncompressed it

I installed all dependencies required for compilation
libnss3-dev, libusb-1.0-0-dev and more (i do not remember)

applied the second patch:
$ patch -p1 < ../libfprint-0.3.0-vfs101.v5.patch

then
$ autoreconf && ./configure && make

install
$ sudo make install

at the end I copy
$ sudo cp /usr/lib/libfprint.* /usr/lib32/
and
$ sudo cp /usr/local/lib/libfprint.* /usr/lib/

start fprint_demo as root
$ sudo fprint_demo
taratataaaaa

Revision history for this message
Oier Mees (oier) wrote :

I followed the same steps as Sandra but it doesn't recognize my fingerprint reader...how can I help?
$ lsusb
Bus 001 Device 004: ID 138a:0008 Validity Sensors, Inc. VFS300 Fingeprint Reader
$ uname -a
Linux oier 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:39:03 UTC 2011 x86_64 GNU/Linux

Revision history for this message
Lorenzo (mad-dog) wrote :

@Oier
you have an different fingerprint sensor...
we have 138a:0001 Validity Sensors, Inc. VFS101 Fingeprint Reader
you have 138a:0008 Validity Sensors, Inc. VFS300 Fingeprint
if the driver written by Sergio doesn't work you need to search (or open) a different bug for your device...

Revision history for this message
David Jurenka (jurenka) wrote :

The PPA at https://launchpad.net/~fingerprint/+archive/fprint now contains the latest version of libfprint with Sergio's patch applied and full support for the VFS101 (138a:0001) reader.

David Jurenka (jurenka)
description: updated
Changed in libfprint (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Javier Domingo (txomon) wrote :

Not at all. A driver has been created by ray. A libfprint patch was made by
Sergio, and now the ppa archive contains that patch applied to the main
library
El 08/04/2011 19:56, "David Jurenka" <email address hidden> escribió:

Revision history for this message
David Jurenka (jurenka) wrote :

Not at all? I'm not sure what your point is. However, the full story—if that's what you're after—is this: Ray and a few others first reverse-engineered the protocol and wrote a standalone application. Then work on libfprint driver started, but it stalled more than a year ago. Sergio picked it up, made it work properly and submitted a patch upstream. The patch has been committed today, and the PPA contains pristine upstream code with no additional patches whatsoever.

Revision history for this message
Javier Domingo (txomon) wrote :

Well, maybe I didn't expressed correctly
El 08/04/2011 22:01, "David Jurenka" <email address hidden> escribió:

Revision history for this message
Javier Domingo (txomon) wrote :

Sorry, I sent the message while writting it on the mobile...

So, I just wanted to say that "Not at all" was that putting the devide ID,
doesn't solve anything, It had to be a complete driver, now integrated in
the fprint library, I wanted to remark on the effort done by this people in
developing it, so that it is not just putting a line in code. Sorry if it
could be interpreted as offensive or arrogant, my english vocabulary lacks,

Best Regards,

Javier Domingo

2011/4/9 Javier Domingo <email address hidden>

> Well, maybe I didn't expressed correctly
> El 08/04/2011 22:01, "David Jurenka" <email address hidden> escribió:
>

--
Javier Domingo

Revision history for this message
Javier Domingo (txomon) wrote :

The bug request for [138a:0008] VFS300 submitted by yvan:

https://bugs.launchpad.net/ubuntu/+source/libfprint/+bug/787876

If someone has that peripheral, subscribe to it.

tags: added: patch
Revision history for this message
Nithin C (nithin-aneesh) wrote :

This bug is experienced in dv6 series of HP. There is no driver available for initializing the fingerprint scanner.

Revision history for this message
Robert Ancell (robert-ancell) wrote :

Closing bug as this was fixed in libfprint 0.4.0 which is in Ubuntu 12.10. Please open a new bug if you have issues using this device in 12.10.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in libfprint (Ubuntu):
status: In Progress → Fix Released
summary: - [138A:0001] fingerprint reader not recognized
+ [138a:0001] fingerprint reader not recognized
Revision history for this message
fabrixx (fabrixx) wrote :

My VFS101 wis recognized and work correctly in my gnome 3.4 (Debian testing) i can login with finger using repository libfprint

Displaying first 40 and last 40 comments. View all 135 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers